PHPStorm 更改 PHP 版本号

mervyn 2019年5月3日13:31:00ToolsPHPStorm 更改 PHP 版本号已关闭评论37

PHPStorm 默认的 PHP 版本是 5.4, 当我们用服务器使用的是 PHP7 时,经常会出现语法错误的提示,这个时候需要将 PHPStorm 中的 PHP 版本进行修改才行。操作步骤如下:文章源自Mervyn's Blog-https://mervyn.life/9c326ae5.html

Preferences -> Languages & Frameworks > PHP -> 修改配置: PHP language level 即可

如果这个时候无法进行选择的话,还需要进行如下步骤才行:文章源自Mervyn's Blog-https://mervyn.life/9c326ae5.html

Preferences -> Languages & Frameworks > PHP -> Composer -> 取消勾选: Synchronize IDE Settings with composer.json
文章源自Mervyn's Blog-https://mervyn.life/9c326ae5.html
weinxin
我的微信公众号
微信扫一扫
mervyn
PHP 将16进制字符转换成汉字 PHP

PHP 将16进制字符转换成汉字

项目代码提供给外部的api,有些参数是中文的。发现有些客户在请求接口的时候,参数的值被转成了16进制,从而导致接口无法正常解析。 此时可以采用如下方法进行转移: <?php $param = &...
Elasticsearch-PHP 遇到的坑 PHP

Elasticsearch-PHP 遇到的坑

大数据量分页查询报错 问题详情 在用elasticsearch-php分页查询时,分页几次后报错,错误内容如下: { "error":{ "root_cause"...
CGI , FastCGI , PHP-CGI 与 PHP-FPM 对比 PHP

CGI , FastCGI , PHP-CGI 与 PHP-FPM 对比

CGI CGI全称是“公共网关接口” ( Common Gateway Interface ),HTTP服务器与你的或其它机器上的程序进行“交谈”的一种工具,其程序须运行在网络服务器上。 CGI可以用...